Bug 124593 - agpgart unable to determine aperture size
agpgart unable to determine aperture size
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: 124594 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-05-27 15:57 EDT by Jason
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:34:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason 2004-05-27 15:57:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)

Description of problem:
I have installed FC2 on a HP Netserver LC2000.  It has a ATI Mach64 3D
Rage IIC video card.  When I boot I get the following:

agpgart: unable to determince aperture size
agpgart: agp_backend_initialize() failed
agpgart-serverworks probe of 0000:00:00.0 failed with error -22

When I use X the screen draws seem slower than they were with RedHat 9.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install FC2
2. on a HP Netserver LC2000

Actual Results:  I get the errors and X seems slow

Expected Results:  No errors and X should be abit faster

Additional info:
Comment 1 Jason 2004-05-27 16:02:47 EDT
*** Bug 124594 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2004-05-31 17:18:36 EDT
agpgart won't affect the screen redraw problems you're seeing.
It's there to make DRI drivers able to address 3d textures in main
memory. (Ie, nothing to do with 2d problems).
For that, I'd open a seperate bug, which belongs to XFree86.

The unknown GART problem however.. We'll start by taking a look at
what your output of lspci looks like.  It's possible that we won't get
this supported at all however, as getting chipset information from
serverworks has been tricky in the past.
Comment 3 Jason 2004-06-01 11:54:20 EDT
Here is the lspci output you requested.


00:00.0 Host bridge: ServerWorks CNB20LE Host Bridge (rev 05)
00:00.1 Host bridge: ServerWorks CNB20LE Host Bridge (rev 05)
00:02.0 PCI bridge: Intel Corp. 80960RP [i960 RP
Microprocessor/Bridge] (rev 05)
00:02.1 I2O: Intel Corp. 80960RP [i960RP Microprocessor] (rev 05)
00:04.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100]
(rev 08)
00:05.0 VGA compatible controller: ATI Technologies Inc 3D Rage IIC
(rev 7a)
00:0f.0 ISA bridge: ServerWorks OSB4 South Bridge (rev 4f)
00:0f.1 IDE interface: ServerWorks OSB4 IDE Controller
03:05.0 Ethernet controller: Intel Corp. 82543GC Gigabit Ethernet
Controller (Fiber) (rev 02)
03:06.0 SCSI storage controller: LSI Logic / Symbios Logic 53c896 (rev 06)
03:06.1 SCSI storage controller: LSI Logic / Symbios Logic 53c896 (rev 06)

Comment 4 Dave Jones 2004-06-01 13:02:39 EDT
ok, I'll do some digging, and see if I can get specs on this chipset
by some means, but don't hold your breath waiting for support for this..
Comment 5 Jason 2004-06-01 13:28:38 EDT
Thank you for your assitance.  If there is anything I can do to help
please let me know.

Comment 6 Jason 2004-10-06 16:05:32 EDT
I still see these messages in FC3T2.  Is there anything I can do to
help you?
Comment 7 Dave Jones 2005-04-16 01:34:22 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.